<?
/* Tracker Configuration
 *
 *  This file provides configuration informatino for
 *  the tracker. The user-editable variables are at the top. It is
 *  recommended that you do not change the database settings
 *  unless you know what you are doing.
 */

//Maximum reannounce interval.
$GLOBALS["report_interval"] = 1800;
//Minimum reannounce interval. Optional.
$GLOBALS["min_interval"] = 300;
//Number of peers to send in one request.
$GLOBALS["maxpeers"] = 50;
//If set to true, then the tracker will accept any and all
//torrents given to it. Not recommended, but available if you need it.
$GLOBALS["dynamic_torrents"] = false;
// If set to true, NAT checking will be performed.
// This may cause trouble with some providers, so it's
// off by default.
$GLOBALS["NAT"] = false;
// Persistent connections: true or false.
// Check with your webmaster to see if you're allowed to use these.
// not recommended, only if you get very higher loads, but use at you own risk.
$GLOBALS["persist"] = false;
// Allow users to override ip= ?
// Enable this if you know people have a legit reason to use
// this function. Leave disabled otherwise.
$GLOBALS["ip_override"] = false;
// For heavily loaded trackers, set this to false. It will stop count the number
// of downloaded bytes and the speed of the torrent, but will significantly reduce
// the load.
$GLOBALS["countbytes"] = true;
// Table caches!
// Lowers the load on all systems, but takes up more disk space.
// You win some, you lose some. But since the load is the big problem,
// grab this.
//
// Warning! Enable this BEFORE making torrents, or else run makecache.php
// immediately, or else you'll be in deep trouble. The tables will lose
// sync and the database will be in a somewhat "stale" state.
$GLOBALS["peercaching"] = false;

/////////// End of User Configuration ///////////
$dbhost = "Database Host";
$dbuser = "Database User";
$dbpass = "Database Password";
$database = "Database";
//Tracker's name
$SITENAME="Site Name Here";
//Tracker's Base URL
$BASEURL="http://yoururrlhere.com";
//Tracker's email (owner email)
$SITEEMAIL="your_email@here.com";
//Torrent's DIR
$TORRENTSDIR="torrents";
//validation type (must be none, user or admin
//none=validate immediatly, user=validate by email, admin=manually validate
$VALIDATION="user";
// interval for sanity check (good = 10 minutes)
$clean_interval="1800";
// interval for updating external torrents (depending of how many external torrents)
$update_interval="1800";
// forum link or internal (empty = internal) or none
$FORUMLINK="http://torrent.mametitles.co.uk/forum";
// If you want to allow users to upload external torrents values true/false
$EXTERNAL_TORRENTS=true;
// Default language (used for guest)
$DEFAULT_LANGUAGE=1;
// Default charset (used for guest)
$GLOBALS["charset"]="ISO-8859-1";
// Default style  (used for guest)
$DEFAULT_STYLE=4;
// Maximum number of users (0 = no limits)
$MAX_USERS=0;
//torrents per page
$ntorrents ="20";
//private announce (true/false), if set to true don't allow non register user to download
$PRIVATE_ANNOUNCE =true;
//private scrape (true/false), if set to true don't allow non register user to scrape (for stats)
$PRIVATE_SCRAPE =true;
//Show uploaders nick on torrent listing
$SHOW_UPLOADER = true;
// show news items block and limit
$GLOBALS["block_news"] = true;
$GLOBALS["block_newslimit"] = "2";
// show index forum last posts block and limit
// only applies if forum is internal
$GLOBALS["block_forum"] = true;
$GLOBALS["block_forumlimit"] = "5";
// show index latest torrents block and limit
$GLOBALS["block_last10"] = true;
$GLOBALS["block_last10limit"] = "5";
// show index most popular torrents block and limit
$GLOBALS["block_mostpop"] = true;
$GLOBALS["block_mostpoplimit"] = "5";
// various aspect block configuration
$GLOBALS["mainmenu"] = true;
$GLOBALS["usertoolbar"] = true;
$GLOBALS["trackertoolbar"] = true;
$GLOBALS["sidemenu"] = true;
$GLOBALS["userinfo"] = true;
$GLOBALS["trackerinfo"] = true;
$GLOBALS["clockblock"] = true;
$GLOBALS["clocktype"] = true;
$GLOBALS["onlineblock"] = true;

?>